<div class="modal-header">
  <h1 class="modal-title">Detail cieľa</h1>
  <button (click)="dismiss()" aria-label="Close" class="close" type="button">
    <i aria-hidden="true" class="ki ki-close"></i>
  </button>
</div>

<div class="modal-body" [formGroup]="formGroup">
  <div class="row">
    <div class="col-12">
      <fox-input-text formControlName="name"
                      label="Názov"></fox-input-text>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <fox-text-area formControlName="description"
                     label="Popis"></fox-text-area>
    </div>
  </div>
  <div class="row">
    <div class="col-6">
      <fox-input-text formControlName="value"
                      pattern="^-?\d*[.,]?\d{0,2}$"
                      label="Plan"></fox-input-text>
    </div>
    <div class="col-6">
      <fox-select formControlName="unit"
                  label="Jednotka"
                  [options]="units"></fox-select>
    </div>
  </div>
  <div class="row">
    <div class="col-6">
      <fox-input-number formControlName="weight"
                        label="Váha"
                        [append]="'%'"></fox-input-number>
    </div>
    <div class="col-6">
      <fox-select formControlName="evaluationType"
                  label="+/-/Z/KO"
                  [options]="evaluationTypes"></fox-select>
    </div>
  </div>
</div>

<div class="modal-footer">
  <button (click)="onSubmit()"
          [loading]="formGroup.pending"
          color="primary"
          foxBtn
          foxBtnSpinner
          foxSpinner
          spinnerColor="white">Potvrdiť
  </button>
</div>
